EC_HTABLE_ITER_NEXT(3)

NAME
ec_htable_iter_next - Make the iterator point to the next element in the hash table.

SYNOPSIS
#include <ecoli/htable.h>

struct ec_htable_elt_ref * ec_htable_iter_next(
    struct ec_htable_elt_ref   *iter   /* The hash table iterator. */
);

RETURN VALUE

An iterator element, or NULL if there is no more element.

SEE ALSO

ec_htable_iter_get_key(3), ec_htable_iter_get_val(3), ec_htable_has_key(3), ec_htable_len(3), ec_htable(3), ec_htable_force_seed(3), ec_htable_dup(3), ec_htable_iter_get_key_len(3), ec_htable_dump(3), ec_htable_del(3), ec_htable_set(3), ec_htable_get(3), ec_htable_free(3), ec_htable_iter(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.